<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>

<body>
    <h1>Todo List</h1>

    <form method="post" th:action="@{/todo}">
        <label for="newTodo">New Todo :</label>
        <input type="text" id="newTodo" name="newTodo">
        <button>Add</button>
    </form>

    <ul>
        <li th:each=" item, info : ${list}">
            <form th:action="@{'/todo/delete/'+ ${info.index} }" method="post">
                <span th:text="${item}"></span>
                <button>Delete</button>
            </form>
        </li>
    </ul>

</body>

</html>